Bug 1265828 - mkdocs: please build for EPEL7
mkdocs: please build for EPEL7
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mkdocs (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 17:15 EDT by Carl George
Modified: 2016-02-04 16:56 EST (History)
1 user (show)

See Also:
Fixed In Version: mkdocs-0.14.0-10.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-04 16:56:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl George 2015-09-23 17:15:39 EDT
Description of problem:

Please build mkdocs for EPEL7.
Comment 1 William Moreno 2015-09-24 15:31:37 EDT
The current mkdocs package in Fedora repos it is compiling with python3, but I can request the epel7 branch and build with python2 for epel7. Thanks for the interes.
Comment 2 William Moreno 2015-09-24 15:44:17 EDT
Sorry. I can not build mkdocs in epel7 even with python 2 there is a missing dependency with python-tornado:

http://koji.fedoraproject.org/koji/packageinfo?packageID=9448

mkdocs requires python-tornado 4 and in epel7 there is python-tornado 3, here is a repo corp with packages builded with python 2 and the missgin python-tornado4:

http://copr.fedoraproject.org/coprs/lkiesow/mkdocs/

You can use it with

yum install yum-plugin-copr
yum yum copr enable lkiesow/mkdocs
yum install python-mkdocs
Comment 3 William Moreno 2015-09-24 15:46:04 EDT
Please note than the fedora repo ship mkdocs 14 and the corp versión is mkdocs 12, maybe i can try to build the mkdocs 12 versión in epel7
Comment 4 Carl George 2015-09-29 15:39:58 EDT
Would it be possible to move the tornado dependency to a subpackage?  IIRC, that module is only needed for the development webserver, not for generating the html.  You could then have that subpackage only enabled for Fedora, but disabled on EPEL7.  I'm not sure if the mkdocs code is modular enough to work with this idea, it's just an idea.
Comment 5 William Moreno 2015-09-30 10:29:11 EDT
I will try to disable the test in the EPEL7 build so python tornado will not be needed for build, but I will need to test if mkdocs do  not fail with a traceback, if so I will need to patch and disable the build in server.
Comment 6 Fedora Update System 2015-11-03 16:00:52 EST
mkdocs-0.14.0-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-651ba66629
Comment 7 Fedora Update System 2015-11-05 12:18:52 EST
mkdocs-0.14.0-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mkdocs'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-651ba66629
Comment 8 Carl George 2015-11-16 08:50:58 EST
Unfortunately it appears that pkg_resources is preventing the execution of even basic mkdocs commands when tornado 4 isn't present.

> # mkdocs new project
> Traceback (most recent call last):
>   File "/bin/mkdocs", line 5, in <module>
>     from pkg_resources import load_entry_point
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3080, in <module>
>     @_call_aside
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3066, in _call_aside
>     f(*args, **kwargs)
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3093, in _initialize_master_working_set
>     working_set = WorkingSet._build_master()
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 653, in _build_master
>     return cls._build_from_requirements(__requires__)
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 666, in _build_from_requirements
>     dists = ws.resolve(reqs, Environment())
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 839, in resolve
>     raise DistributionNotFound(req, requirers)
> pkg_resources.DistributionNotFound: The 'tornado>=4.1' distribution was not found and is required by mkdocs

> # mkdir project
> # cd project
> # mkdir docs
> # echo '# Hello World' > docs/index.md
> # echo 'site_name: Demo Project' > mkdocs.yml
> # mkdocs build
> Traceback (most recent call last):
>   File "/bin/mkdocs", line 5, in <module>
>     from pkg_resources import load_entry_point
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3080, in <module>
>     @_call_aside
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3066, in _call_aside
>     f(*args, **kwargs)
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3093, in _initialize_master_working_set
>     working_set = WorkingSet._build_master()
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 653, in _build_master
>     return cls._build_from_requirements(__requires__)
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 666, in _build_from_requirements
>     dists = ws.resolve(reqs, Environment())
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 839, in resolve
>     raise DistributionNotFound(req, requirers)
> pkg_resources.DistributionNotFound: The 'tornado>=4.1' distribution was not found and is required by mkdocs
Comment 9 Fedora Update System 2015-11-21 13:57:12 EST
mkdocs-0.14.0-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-48f1c2f3ff
Comment 10 Fedora Update System 2015-11-22 20:19:40 EST
mkdocs-0.14.0-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mkdocs'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-48f1c2f3ff
Comment 11 Carl George 2015-11-23 11:02:42 EST
This version complains about click now.

> $ mkdocs new project
> Traceback (most recent call last):
>   File "/usr/bin/mkdocs", line 5, in <module>
>     from pkg_resources import load_entry_point
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3080, in <module>
>     @_call_aside
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3066, in _call_aside
>     f(*args, **kwargs)
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3093, in _initialize_master_working_set
>     working_set = WorkingSet._build_master()
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 653, in _build_master
>     return cls._build_from_requirements(__requires__)
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 666, in _build_from_requirements
>     dists = ws.resolve(reqs, Environment())
>   File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 839, in resolve
>     raise DistributionNotFound(req, requirers)
> pkg_resources.DistributionNotFound: The 'click>=4.0' distribution was not found and is required by mkdocs

I manually edited "click>=4.0" to just "click" in /usr/lib/python2.7/site-packages/mkdocs-0.14.0-py2.7.egg-info/requires.txt, and now it works.  I can run "mkdocs new" and "mkdocs build" without issue.
Comment 12 William Moreno 2015-11-23 11:30:49 EST
Thanks for the feedback, I will drop the click requires and update the package.
Comment 13 Carl George 2015-11-23 11:33:41 EST
Of course.  I also sent some feedback upstream that may make packaging easier for future releases.

https://github.com/mkdocs/mkdocs/issues/763
Comment 14 Fedora Update System 2015-11-23 16:53:50 EST
mkdocs-0.14.0-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-48f1c2f3ff
Comment 15 Fedora Update System 2015-11-25 19:54:46 EST
mkdocs-0.14.0-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mkdocs'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-48f1c2f3ff
Comment 16 Fedora Update System 2016-02-04 16:56:57 EST
mkdocs-0.14.0-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.